Name: 		perl-File-NCopy
Version: 	0.34
Release: 	3%{?dist}
Summary:	Copy files to directories, or a single file to another file
License: 	GPL or Artistic
Group: 		Development/Libraries
URL: 		http://search.cpan.org/dist/File-NCopy/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MZ/MZSANFORD/File-NCopy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch: noarch

%description
File::NCopy copies files to directories, or a single file to another
file. The functionality is very similar to cp.

%prep
%setup -q -n File-NCopy-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/File
%{_mandir}/man3/*

%changelog
* Mon Sep 19 2005 Ralf Corsepius <rc040203@freenet.de> - 0.34-3
- Spec cleanup.

* Thu Sep 01 2005 Ralf Corsepius <rc040203@freenet.de> - 0.34-1
- FE submission.
